@import '../abstracts/variables';
@import '../abstracts/mixins';

.instagram {
	width: 100%;
	@include save-paddings;
	padding-top: 38px;
	padding-bottom: 42px;

	@media (min-width: $bp-medium) {
		padding-top: 47px;
		padding-bottom: 50px;
		background-color: $background-light;
	}
}

.instagram__header {
	margin-bottom: 13px;

	@media (min-width: $bp-medium) {
		@include flex(space-between);	
		margin-bottom: 35px;
	}
	@media (min-width: $bp-large) {
		margin-bottom: 24px;
	}
}

.instagram__title {
	span {
		display: none;	

		@media (min-width: $bp-medium) {
			display: inline;
		}
	}
}

.instagram__link {
	display: none;

	@media (min-width: $bp-medium) {
		display: block;
		font-weight: 700;
		font-size: 13px;
		line-height: 22px;
		text-transform: uppercase;
		color: $text-color-dark;
	}
}

.instagram__shots {
	@include flex (stretch);
	
	@media (min-width: $bp-medium) {
		gap: 9px;
	}
}

.instagram__shots-link {
	flex-grow: 1;

	&:nth-child(n+2) {
		display: none;
	}

	@media (min-width: $bp-medium) {
		&:nth-child(n+2) {
			display: block;
		}
		&:nth-child(n+4) {
			display: none;
		}
	}

	@media (min-width: $bp-large) {
		&:nth-child(n+4) {
			display: block;
		}
	}

	img {
		display: block;
		max-width: 100%;
		height: auto;

		@media (min-width: $bp-medium) {
			width: 100%;
		}
	}
}